#!/bin/bash -e
##########################################################################

DIST=$(cat /dist)

# clear any previous build
if [ -f Makefile ]
then
    make distclean
fi

if [ ! -f configure ];
then
    autoreconf
fi

# configure it
./configure \
    --prefix=/usr \
    --sysconfdir=/etc/bird \
    --localstatedir=/var \
    2>&1 | tee conf.out

# build it
make -j3 \
     2>&1 | tee build.out

mkdir -p artifacts/${DIST} > /dev/null 2>&1
mv bird birdc birdcl artifacts/${DIST}

##########################################################################
# end of file
